Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1048412 - [abrt] qbittorrent: QObject::connect(): qbittorrent killed by SIGSEGV
Summary: [abrt] qbittorrent: QObject::connect(): qbittorrent killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qbittorrent
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Alessandro Locati
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:990967e8550023167e8a297e916...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-04 01:54 UTC by Rodrigo de Farias Gomes
Modified: 2015-06-29 14:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:08:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (65.12 KB, text/plain)
2014-01-04 01:54 UTC, Rodrigo de Farias Gomes
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: core_backtrace (25.71 KB, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: dso_list (13.37 KB, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: environ (1.44 KB, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: maps (72.00 KB, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: open_fds (1.17 KB, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details
File: var_log_messages (330 bytes, text/plain)
2014-01-04 01:55 UTC, Rodrigo de Farias Gomes
no flags Details

Description Rodrigo de Farias Gomes 2014-01-04 01:54:47 UTC
Version-Release number of selected component:
qbittorrent-3.1.3-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        qbittorrent
crash_function: QObject::connect
executable:     /usr/bin/qbittorrent
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 QObject::connect at kernel/qobject.cpp:2554
 #2 connect at /usr/include/QtCore/qobject.h:339
 #3 QBtSession::QBtSession at ../../src/qtlibtorrent/qbtsession.cpp:160
 #4 QBtSession::instance at ../../src/qtlibtorrent/qbtsession.cpp:2874
 #5 TorrentModelItem::data at ../../src/qtlibtorrent/torrentmodel.cpp:196
 #6 TorrentModel::data at ../../src/qtlibtorrent/torrentmodel.cpp:303
 #7 QSortFilterProxyModel::data at itemviews/qsortfilterproxymodel.cpp:1735
 #10 data at ../../src/corelib/kernel/qabstractitemmodel.h:402
 #11 QItemDelegate::rect at itemviews/qitemdelegate.cpp:1080
 #12 QItemDelegate::sizeHint at itemviews/qitemdelegate.cpp:507

Comment 1 Rodrigo de Farias Gomes 2014-01-04 01:54:58 UTC
Created attachment 845182 [details]
File: backtrace

Comment 2 Rodrigo de Farias Gomes 2014-01-04 01:55:01 UTC
Created attachment 845183 [details]
File: cgroup

Comment 3 Rodrigo de Farias Gomes 2014-01-04 01:55:06 UTC
Created attachment 845184 [details]
File: core_backtrace

Comment 4 Rodrigo de Farias Gomes 2014-01-04 01:55:12 UTC
Created attachment 845185 [details]
File: dso_list

Comment 5 Rodrigo de Farias Gomes 2014-01-04 01:55:15 UTC
Created attachment 845186 [details]
File: environ

Comment 6 Rodrigo de Farias Gomes 2014-01-04 01:55:18 UTC
Created attachment 845187 [details]
File: limits

Comment 7 Rodrigo de Farias Gomes 2014-01-04 01:55:23 UTC
Created attachment 845188 [details]
File: maps

Comment 8 Rodrigo de Farias Gomes 2014-01-04 01:55:26 UTC
Created attachment 845189 [details]
File: open_fds

Comment 9 Rodrigo de Farias Gomes 2014-01-04 01:55:29 UTC
Created attachment 845190 [details]
File: proc_pid_status

Comment 10 Rodrigo de Farias Gomes 2014-01-04 01:55:32 UTC
Created attachment 845191 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:18:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora Admin XMLRPC Client 2015-06-17 22:34:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-06-29 14:08:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.